Get memos on a matter
curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/memos \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/memos"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/memos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "009f778f-83df-454a-b344-768a862a7e55",
"matterId": "776e778f-83df-454a-b344-768a862a6e58",
"title": "Update",
"text": "{\\\\rtf1\\\\ansi\\\\ansicpg1252\\\\uc1\\\\htmautsp\\\\deff2{\\\\fonttbl{\\\\f0\\\\fcharset0 Times New Roman;}{\\\\f2\\\\fcharset0 Calibri;}}{\\\\colortbl\\\\red0\\\\green0\\\\blue0;\\\\red255\\\\green255\\\\blue255;}\\\\loch\\\\hich\\\\dbch\\\\pard\\\\plain\\\\ltrpar\\\\itap0{\\\\lang1033\\\\fs18\\\\f2\\\\cf0 \\\\cf0\\\\ql{\\\\f2 {\\\\ltrch There has been a recent update on this matter.}\\\\li0\\\\ri0\\\\sa0\\\\sb0\\\\fi0\\\\ql\\\\sl15\\\\slmult0\\\\par}\\r\\n}\\r\\n}",
"plainText": "There has been a recent update on this matter.",
"createdDate": "2022-04-23T14:00:00Z",
"createdByUserId": "010f7d8e-82d1-454b-c324-760a862a7e22",
"lastUpdated": "2022-05-02T16:22:02Z",
"updatedByUserId": "010f7d8e-82d1-454b-c324-760a862a7e22",
"isDeleted": true
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
}Memos
Get memos on a matter
Returns a list of memos on the specified matter.
GET
/
matters
/
{matterId}
/
memos
Get memos on a matter
Path Parameters
Query Parameters
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 500Response
200 - application/json
When request is successful. Returns a paged collection of 'Memo' objects.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
āI